aboutsummaryrefslogtreecommitdiff
path: root/aux/ci/git-pre-receive.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2023-03-31 20:12:17 -0300
committerEuAndreh <eu@euandre.org>2023-04-01 13:27:49 -0300
commit1a3208d43f837768e18219ca4e79fe31bf748865 (patch)
treea47ceede07ef4c235fe9d82343ada4f4cd9cb7e7 /aux/ci/git-pre-receive.sh
parentaux/lib.sh: Add generic assert_arg() (diff)
downloadremembering-1a3208d43f837768e18219ca4e79fe31bf748865.tar.gz
remembering-1a3208d43f837768e18219ca4e79fe31bf748865.tar.xz
Revamp CI: simpler variant of the same functionality
Notes
See CI logs with: git notes --ref=refs/notes/ci-logs show 1a3208d43f837768e18219ca4e79fe31bf748865 git notes --ref=refs/notes/ci-data show 1a3208d43f837768e18219ca4e79fe31bf748865 Exit status: 2 Duration: 4
Diffstat (limited to 'aux/ci/git-pre-receive.sh')
-rwxr-xr-xaux/ci/git-pre-receive.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/aux/ci/git-pre-receive.sh b/aux/ci/git-pre-receive.sh
new file mode 100755
index 0000000..199d06e
--- /dev/null
+++ b/aux/ci/git-pre-receive.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -eu
+
+read -r _oldrev SHA _refname
+unset GIT_DIR
+
+if [ "$SHA" = '0000000000000000000000000000000000000000' ]; then
+ exit
+fi
+
+printf 'Upgrading post-receive hook...' >&2
+git show "$SHA":aux/ci/git-post-receive.sh > hooks/post-receive
+chmod +x hooks/post-receive
+printf 'done.\n' >&2